<?php

namespace App\Repository;

use App\Entity\UserAccessToken;
use Doctrine\Bundle\DoctrineBundle\Repository\ServiceEntityRepository;
use Doctrine\Persistence\ManagerRegistry;

/**
 * @extends ServiceEntityRepository<UserAccessTokenRepository>
 *
 * @method UserAccessTokenRepository|null find($id, $lockMode = null, $lockVersion = null)
 * @method UserAccessTokenRepository|null findOneBy(array $criteria, array $orderBy = null)
 * @method UserAccessTokenRepository[]    findAll()
 * @method UserAccessTokenRepository[]    findBy(array $criteria, array $orderBy = null, $limit = null, $offset = null)
 */
class UserAccessTokenRepository extends ServiceEntityRepository
{
    public function __construct(ManagerRegistry $registry)
    {
        parent::__construct($registry, UserAccessToken::class);
    }

//    /**
//     * @return UserAccessToken[] Returns an array of UserAccessToken objects
//     */
//    public function findByExampleField($value): array
//    {
//        return $this->createQueryBuilder('u')
//            ->andWhere('u.exampleField = :val')
//            ->setParameter('val', $value)
//            ->orderBy('u.id', 'ASC')
//            ->setMaxResults(10)
//            ->getQuery()
//            ->getResult()
//        ;
//    }

//    public function findOneBySomeField($value): ?UserAccessToken
//    {
//        return $this->createQueryBuilder('u')
//            ->andWhere('u.exampleField = :val')
//            ->setParameter('val', $value)
//            ->getQuery()
//            ->getOneOrNullResult()
//        ;
//    }
}
